Holds a list of DARCs that will be updated individually, and whenever the list changes.

### Hierarchy

- BehaviorSubject<DarcInst[]>
  - DarcInsts

### Implements

- Subscribable<DarcInst[]>
- SubscriptionLike

## Index

### Constructors

- constructor

### Properties

- _isScalar
- closed
- hasError
- isStopped
- observers
- operator
- source
- thrownError
- value
- create
- if
- throw

### Methods

- _subscribe
- _trySubscribe
- asObservable
- complete
- error
- forEach
- getValue
- lift
- next
- pipe
- subscribe
- toPromise
- unsubscribe
- retrieve

## Constructors

### constructor

- new DarcInsts(sbs: BehaviorSubject<DarcInst[]>): DarcInsts

- Overrides BehaviorSubject.__constructor

  - Defined in src/v2/byzcoin/contracts/darcInsts.ts:60

  #### Parameters

  - ##### sbs: BehaviorSubject<DarcInst[]>

  #### Returns DarcInsts

## Properties

### _isScalar

_isScalar: boolean

Inherited from Observable._isScalar

- Defined in node_modules/rxjs/internal/Observable.d.ts:15

Internal implementation detail, do not use directly.

### closed

closed: boolean

Inherited from Subject.closed

- Defined in node_modules/rxjs/internal/Subject.d.ts:24

### hasError

hasError: boolean

Inherited from Subject.hasError

- Defined in node_modules/rxjs/internal/Subject.d.ts:26

### isStopped

isStopped: boolean

Inherited from Subject.isStopped

- Defined in node_modules/rxjs/internal/Subject.d.ts:25

### observers

observers: Observer<DarcInst[]>[]

Inherited from Subject.observers

- Defined in node_modules/rxjs/internal/Subject.d.ts:23

### operator

operator: Operator<any, DarcInst[]>

Inherited from Observable.operator

- Defined in node_modules/rxjs/internal/Observable.d.ts:19

deprecated

  This is an internal implementation detail, do not use.

### source

source: Observable<any>

Inherited from Observable.source

- Defined in node_modules/rxjs/internal/Observable.d.ts:17

deprecated

  This is an internal implementation detail, do not use.

### thrownError

thrownError: any

Inherited from Subject.thrownError

- Defined in node_modules/rxjs/internal/Subject.d.ts:27

### value

value: DarcInst[]

Inherited from BehaviorSubject.value

- Defined in node_modules/rxjs/internal/BehaviorSubject.d.ts:13

### Static create

create: Function

Inherited from Subject.create

Overrides Observable.create

- Defined in node_modules/rxjs/internal/Subject.d.ts:32

nocollapse
deprecated

  use new Subject() instead

### Static if

if: iif

Inherited from Observable.if

- Defined in node_modules/rxjs/internal/Observable.d.ts:71

nocollapse
deprecated

  In favor of iif creation function: import { iif } from 'rxjs';

### Static throw

throw: throwError

Inherited from Observable.throw

- Defined in node_modules/rxjs/internal/Observable.d.ts:76

nocollapse
deprecated

  In favor of throwError creation function: import { throwError } from 'rxjs';

## Methods

### _subscribe

- _subscribe(subscriber: Subscriber<DarcInst[]>): Subscription

- Inherited from BehaviorSubject._subscribe

  Overrides Subject._subscribe

  - Defined in node_modules/rxjs/internal/BehaviorSubject.d.ts:15
  deprecated

    This is an internal implementation detail, do not use.

  #### Parameters

  - ##### subscriber: Subscriber<DarcInst[]>

  #### Returns Subscription

### _trySubscribe

- _trySubscribe(subscriber: Subscriber<DarcInst[]>): TeardownLogic

- Inherited from Subject._trySubscribe

  Overrides Observable._trySubscribe

  - Defined in node_modules/rxjs/internal/Subject.d.ts:39
  deprecated

    This is an internal implementation detail, do not use.

  #### Parameters

  - ##### subscriber: Subscriber<DarcInst[]>

  #### Returns TeardownLogic

### asObservable

- asObservable(): Observable<DarcInst[]>

- Inherited from Subject.asObservable

  - Defined in node_modules/rxjs/internal/Subject.d.ts:48

  Creates a new Observable with this Subject as the source. You can do this to create customize Observer-side logic of the Subject and conceal it from code that uses the Observable.

  #### Returns Observable<DarcInst[]>

  Observable that the Subject casts to

### complete

- complete(): void

- Inherited from Subject.complete

  - Defined in node_modules/rxjs/internal/Subject.d.ts:36

  #### Returns void

### error

- error(err: any): void

- Inherited from Subject.error

  - Defined in node_modules/rxjs/internal/Subject.d.ts:35

  #### Parameters

  - ##### err: any

  #### Returns void

### forEach

- forEach(next: function, promiseCtor?: PromiseConstructorLike): Promise<void>

- Inherited from Observable.forEach

  - Defined in node_modules/rxjs/internal/Observable.d.ts:64
  method

    forEach

  #### Parameters

  - ##### next: function

    a handler for each value emitted by the observable

    - - (value: DarcInst[]): void

      - #### Parameters

        - ##### value: DarcInst[]

        #### Returns void

  - ##### Optional promiseCtor: PromiseConstructorLike

  #### Returns Promise<void>

  a promise that either resolves on observable completion or rejects with the handled error

### getValue

- getValue(): DarcInst[]

- Inherited from BehaviorSubject.getValue

  - Defined in node_modules/rxjs/internal/BehaviorSubject.d.ts:16

  #### Returns DarcInst[]

### lift

- lift<R>(operator: Operator<DarcInst[], R>): Observable<R>

- Inherited from Subject.lift

  Overrides Observable.lift

  - Defined in node_modules/rxjs/internal/Subject.d.ts:33

  #### Type parameters

  - #### R

  #### Parameters

  - ##### operator: Operator<DarcInst[], R>

  #### Returns Observable<R>

### next

- next(value: DarcInst[]): void

- Inherited from BehaviorSubject.next

  Overrides Subject.next

  - Defined in node_modules/rxjs/internal/BehaviorSubject.d.ts:17

  #### Parameters

  - ##### value: DarcInst[]

  #### Returns void

### pipe

- pipe(): Observable<DarcInst[]>
- pipe<A>(op1: OperatorFunction<DarcInst[], A>): Observable<A>
- pipe<A, B>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>): Observable<B>
- pipe<A, B, C>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>): Observable<C>
- pipe<A, B, C, D>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>): Observable<D>
- pipe<A, B, C, D, E>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>): Observable<E>
- pipe<A, B, C, D, E, F>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>, op6: OperatorFunction<E, F>): Observable<F>
- pipe<A, B, C, D, E, F, G>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>, op6: OperatorFunction<E, F>, op7: OperatorFunction<F, G>): Observable<G>
- pipe<A, B, C, D, E, F, G, H>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>, op6: OperatorFunction<E, F>, op7: OperatorFunction<F, G>, op8: OperatorFunction<G, H>): Observable<H>
- pipe<A, B, C, D, E, F, G, H, I>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>, op6: OperatorFunction<E, F>, op7: OperatorFunction<F, G>, op8: OperatorFunction<G, H>, op9: OperatorFunction<H, I>): Observable<I>
- pipe<A, B, C, D, E, F, G, H, I>(op1: OperatorFunction<DarcInst[], A>, op2: OperatorFunction<A, B>, op3: OperatorFunction<B, C>, op4: OperatorFunction<C, D>, op5: OperatorFunction<D, E>, op6: OperatorFunction<E, F>, op7: OperatorFunction<F, G>, op8: OperatorFunction<G, H>, op9: OperatorFunction<H, I>, ...operations: OperatorFunction<any, any>[]): Observable<__type>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:77

  #### Returns Observable<DarcInst[]>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:78

  #### Type parameters

  - #### A

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  #### Returns Observable<A>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:79

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  #### Returns Observable<B>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:80

  #### Type parameters

  - #### A

  - #### B

  - #### C

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  #### Returns Observable<C>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:81

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  #### Returns Observable<D>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:82

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  #### Returns Observable<E>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:83

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  - #### F

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  - ##### op6: OperatorFunction<E, F>

  #### Returns Observable<F>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:84

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  - #### F

  - #### G

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  - ##### op6: OperatorFunction<E, F>

  - ##### op7: OperatorFunction<F, G>

  #### Returns Observable<G>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:85

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  - #### F

  - #### G

  - #### H

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  - ##### op6: OperatorFunction<E, F>

  - ##### op7: OperatorFunction<F, G>

  - ##### op8: OperatorFunction<G, H>

  #### Returns Observable<H>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:86

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  - #### F

  - #### G

  - #### H

  - #### I

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  - ##### op6: OperatorFunction<E, F>

  - ##### op7: OperatorFunction<F, G>

  - ##### op8: OperatorFunction<G, H>

  - ##### op9: OperatorFunction<H, I>

  #### Returns Observable<I>

- Inherited from Observable.pipe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:87

  #### Type parameters

  - #### A

  - #### B

  - #### C

  - #### D

  - #### E

  - #### F

  - #### G

  - #### H

  - #### I

  #### Parameters

  - ##### op1: OperatorFunction<DarcInst[], A>

  - ##### op2: OperatorFunction<A, B>

  - ##### op3: OperatorFunction<B, C>

  - ##### op4: OperatorFunction<C, D>

  - ##### op5: OperatorFunction<D, E>

  - ##### op6: OperatorFunction<E, F>

  - ##### op7: OperatorFunction<F, G>

  - ##### op8: OperatorFunction<G, H>

  - ##### op9: OperatorFunction<H, I>

  - ##### Rest ...operations: OperatorFunction<any, any>[]

  #### Returns Observable<__type>

### subscribe

- subscribe(observer?: PartialObserver<DarcInst[]>): Subscription
- subscribe(next: null | undefined, error: null | undefined, complete: function): Subscription
- subscribe(next: null | undefined, error: function, complete?: function): Subscription
- subscribe(next: function, error: null | undefined, complete: function): Subscription
- subscribe(next?: function, error?: function, complete?: function): Subscription

- Inherited from Observable.subscribe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:47

  #### Parameters

  - ##### Optional observer: PartialObserver<DarcInst[]>

  #### Returns Subscription

- Inherited from Observable.subscribe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:49
  deprecated

    Use an observer instead of a complete callback

  #### Parameters

  - ##### next: null | undefined

  - ##### error: null | undefined

  - ##### complete: function

    - - (): void

      - #### Returns void

  #### Returns Subscription

- Inherited from Observable.subscribe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:51
  deprecated

    Use an observer instead of an error callback

  #### Parameters

  - ##### next: null | undefined

  - ##### error: function

    - - (error: any): void

      - #### Parameters

        - ##### error: any

        #### Returns void

  - ##### Optional complete: function

    - - (): void

      - #### Returns void

  #### Returns Subscription

- Inherited from Observable.subscribe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:53
  deprecated

    Use an observer instead of a complete callback

  #### Parameters

  - ##### next: function

    - - (value: DarcInst[]): void

      - #### Parameters

        - ##### value: DarcInst[]

        #### Returns void

  - ##### error: null | undefined

  - ##### complete: function

    - - (): void

      - #### Returns void

  #### Returns Subscription

- Inherited from Observable.subscribe

  - Defined in node_modules/rxjs/internal/Observable.d.ts:54

  #### Parameters

  - ##### Optional next: function

    - - (value: DarcInst[]): void

      - #### Parameters

        - ##### value: DarcInst[]

        #### Returns void

  - ##### Optional error: function

    - - (error: any): void

      - #### Parameters

        - ##### error: any

        #### Returns void

  - ##### Optional complete: function

    - - (): void

      - #### Returns void

  #### Returns Subscription

### toPromise

- toPromise<T>(this: Observable<T>): Promise<T>
- toPromise<T>(this: Observable<T>, PromiseCtor: PromiseConstructor): Promise<T>
- toPromise<T>(this: Observable<T>, PromiseCtor: PromiseConstructorLike): Promise<T>

- Inherited from Observable.toPromise

  - Defined in node_modules/rxjs/internal/Observable.d.ts:88

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: Observable<T>

  #### Returns Promise<T>

- Inherited from Observable.toPromise

  - Defined in node_modules/rxjs/internal/Observable.d.ts:89

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: Observable<T>

  - ##### PromiseCtor: PromiseConstructor

  #### Returns Promise<T>

- Inherited from Observable.toPromise

  - Defined in node_modules/rxjs/internal/Observable.d.ts:90

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: Observable<T>

  - ##### PromiseCtor: PromiseConstructorLike

  #### Returns Promise<T>

### unsubscribe

- unsubscribe(): void

- Inherited from Subject.unsubscribe

  - Defined in node_modules/rxjs/internal/Subject.d.ts:37

  #### Returns void

### Static retrieve

- retrieve(bc: ByzCoinRPC, idsBS: BehaviorSubject<InstanceID[]> | InstanceID[]): Promise<DarcInsts>

- - Defined in src/v2/byzcoin/contracts/darcInsts.ts:49

  Retrieves an eventually changing list of darcs from ByzCoin.

  #### Parameters

  - ##### bc: ByzCoinRPC

    of an initialized ByzCoinRPC instance

  - ##### idsBS: BehaviorSubject<InstanceID[]> | InstanceID[]

  #### Returns Promise<DarcInsts>

Generated using TypeDoc